- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables
dmxdpms.c File Reference
`#include "dmx.h"`
`#include "dmxdpms.h"`
`#include "dmxlog.h"`
`#include "dmxsync.h"`
`#include "windowstr.h"`
`#include <X11/extensions/dpms.h>`

## Functions
static void | _dmxDPMSInit (DMXScreenInfo *dmxScreen)
void | dmxDPMSInit (DMXScreenInfo *dmxScreen)
void | dmxDPMSTerm (DMXScreenInfo *dmxScreen)
void | dmxDPMSWakeup (void)
## Variables
static unsigned long | dpmsGeneration = 0
static Bool | dpmsSupported = TRUE

## Detailed Description

Provides DPMS support and unifies all DPMS and other screen-saver support in one file. If -dpms is given on the command line, or the Xdmx server is not compiled with DPMS support, then the DPMS extension does not work for clients, but DPMS on the backends is still disables (and restored at Xdmx server shutdown time).

## Function Documentation

static void _dmxDPMSInit | ( | DMXScreenInfo * | dmxScreen | ) | `[static]`

References _DMXScreenInfo::beDisplay, dmxLogOutput(), _DMXScreenInfo::dpmsCapable, _DMXScreenInfo::dpmsEnabled, dpmsGeneration, _DMXScreenInfo::dpmsOff, _DMXScreenInfo::dpmsStandby, dpmsSupported, and _DMXScreenInfo::dpmsSuspend.

Referenced by dmxDPMSInit().

void dmxDPMSInit | ( | DMXScreenInfo * | dmxScreen | ) |

Initialize DPMS support. We save the current settings and turn off DPMS. The settings are restored in dmxDPMSTerm.

References _dmxDPMSInit(), _DMXScreenInfo::beDisplay, dmxSync(), and _DMXScreenInfo::savedTimeout.

Referenced by dmxBEScreenInit().

void dmxDPMSTerm | ( | DMXScreenInfo * | dmxScreen | ) |

Terminate DPMS support on dmxScreen. We restore the settings saved in dmxDPMSInit.

References _DMXScreenInfo::beDisplay, dmxSync(), _DMXScreenInfo::dpmsCapable, _DMXScreenInfo::dpmsEnabled, _DMXScreenInfo::dpmsOff, _DMXScreenInfo::dpmsStandby, _DMXScreenInfo::dpmsSuspend, and _DMXScreenInfo::savedTimeout.

Referenced by dmxBECloseScreen().

void dmxDPMSWakeup | ( | void |  | ) |

Called when activity is detected so that DPMS power-saving mode can be deactivated.

## Variable Documentation

unsigned long dpmsGeneration = 0`[static]`

Referenced by _dmxDPMSInit().

Bool dpmsSupported = TRUE`[static]`

Referenced by _dmxDPMSInit().